Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Interface BuilderManager

All Known Implementing Classes:
  DefaultBuilderManager

    public interface BuilderManager

Method Summary
`List` | `getAllBuilders()` A list of `Builder` objects available to the system with default configuration.
`Map` | `getAllBuildersAsMap()`
`List` | `getAllConfigurableBuilders()` Returns all builders with `Builder.isLabelPathMapConfigurable()` returning true
`Builder` | `getBuilder(String key, Map params)` Creates a new builder with the specified key, instantiated with the given params
`Map` | `getBuilderLabelPathMaps()` Obtain the total set of builder maps.
`String` | `getPathForLabel(String label)` Looks up the collection of `LabelPathMap` objects and returns the "path" property for the label

Method Detail

### getBuilder

    Builder getBuilder(String key,
                       Map params)

  Creates a new builder with the specified key, instantiated with the given params

  Parameters:
    `key` - - full plugin key of the build e.g com.atlassian.bamboo.plugin.system.builder:ant
    `params` - - params that the builder will be instantiated with. Can be null
  Returns:
    a constructed `Builder`

### getAllBuilders

    List getAllBuilders()

  A list of `Builder` objects available to the system with default configuration.

  Returns:
    `List` of `Builder`s. `Collections.EMPTY_LIST` if none available

### getAllBuildersAsMap

    Map getAllBuildersAsMap()

### getPathForLabel

    String getPathForLabel(String label)

  Looks up the collection of `LabelPathMap` objects and returns the "path" property for the label

  Parameters:
    `label` -
  Returns:
    Path for the label, null if not found

### getBuilderLabelPathMaps

    Map getBuilderLabelPathMaps()

  Obtain the total set of builder maps. The key are the labels for the `Builder` and the values are `LabelPathMap`

### getAllConfigurableBuilders

    List getAllConfigurableBuilders()

  Returns all builders with `Builder.isLabelPathMapConfigurable()` returning true

  Returns:
    List of `Builder`. `Collections.EMPTY_LIST` if none available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.